AI Sync

Prompts

Apply Saved Prompt To Agents

POSThttps://app.rizzdial.com/api/ai/agent/v2/prompt/apply-to-agents
Apply Saved Prompt To Agents
curl --request POST \
  --url https://app.rizzdial.com/api/ai/agent/v2/prompt/apply-to-agents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "agent_ids": "1",
  "prompt_id": "value",
  "agent_ids.*": "value"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

Apply Saved Prompt To Agents#

Apply a saved prompt by prompt_id to selected AI agents..

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

prompt_idstringbodyrequired

Request field

agent_idsarraybodyrequired

One of: 1. min 1

agent_ids.*stringbodyrequired

Request field

curl --request POST \
 --url https://app.rizzdial.com/api/ai/agent/v2/prompt/apply-to-agents \
 --header 'Authorization: Bearer {{bearer_token}}' \
 --header 'Content-Type: application/json' \
 --data '{"prompt_id":"value","agent_ids":[],"agent_ids.*":"value"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records